Name:      perl-bignum
Version:   0.50
Release:   4
Summary:   transparent big number support
License:   GPL or Artistic
URL:       https://metacpan.org/release/bignum
Source0:   https://cpan.metacpan.org/authors/id/P/PJ/PJACKLAM/bignum-%{version}.tar.gz

BuildArch: noarch
#prereq
BuildRequires: gcc perl(ExtUtils::MakeMaker) perl-interpreter perl-generators
#for test
BuildRequires: perl(Test::More) >= 0.88

Requires:      perl(:MODULE_COMPAT_%(perl -V:version | cut -d"'" -f 2)) perl(Carp)
#for test
Requires:      perl(Math::BigRat) >= 0.12 perl(Math::BigInt) >= 1.999812

%description
Three modules provided by this package:
 * bigint - Transparent BigInteger support for Perl
 * bignum - Transparent BigNumber support for Perl
 * bigrat - Transparent BigNumber/BigRational support for Perl

%package_help

%prep
%autosetup -n bignum-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot} 
%{_fixperms} %{buildroot}/*

%check
make test TEST_VERBOSE=1

%files
%doc README
%license LICENSE
%{perl_vendorlib}/*

%files help
%doc BUGS CHANGES TODO
%{_mandir}/man3/*

%changelog
* Wed Aug 28 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.50-4
- Package init
